Subject: Re: gc --aggressive

From: Matthieu Moy <[email-masked]>
Date: Tue, 17 Apr 2012 22:52:03 +0200

Jay Soffian <[email-masked]> writes:

> + 3. `git gc --aggressive`; this is often much slower than (2) because git
> +    throws out all of the existing deltas and recomputes them from
> +    scratch. It uses a higher window parameter meaning it will spend
> +    more time computing, and it may end up with a smaller pack. However,
> +    unless the repository is known to have initially been poorly packed,
> +    this option is not needed and will just cause git to perform
> +    extra work.

I like your patch.

Maybe you should elaborate on "unless the repository is known to have
initially been poorly packed". My understanding is that --aggressive was
implemented to be called after an import from another VCS that would
have computed very poor deltas, but I'm not sure about the details.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/